<?php

namespace Drupal\uw_cfg_common\Plugin\CKEditorPlugin;

use Drupal\ckeditor\CKEditorPluginBase;
use Drupal\editor\Entity\Editor;

/**
 * Defines the "lineutils" plugin.
 *
 * @CKEditorPlugin(
 *   id = "lineutils",
 *   label = @Translation("Line Utilities")
 * )
 */
class LineutilsPlugin extends CKEditorPluginBase {

  /**
   * {@inheritdoc}
   */
  public function getConfig(Editor $editor) {
    return [];
  }

  /**
   * {@inheritdoc}
   */
  public function getButtons() {
    return [];
  }

  /**
   * {@inheritdoc}
   */
  public function getFile() {
    return drupal_get_path('profile', 'uw_base_profile') . '/libraries/ckeditor-lineutils/plugin.js';
  }

}
